Show / Hide Table of Contents

# Struct SwapChain

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Kernel

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct SwapChain

### Fields

| Improve this Doc View Source

#### BackBuffer

##### Declaration

    public Texture*BackBuffer

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### DepthStencil

##### Declaration

    public Texture*DepthStencil

##### Field Value

Type | Description
--- | ---
Texture* |

| Improve this Doc View Source

#### DXGISwapChain

##### Declaration

    public void *DXGISwapChain

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Height

##### Declaration

    public uint Height

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Width

##### Declaration

    public uint Width

##### Field Value

Type | Description
--- | ---
System.UInt32 |